# Getting started

The nRF SDK for Mesh provides you with tools and instructions that allow you to start developing your own applications and use the Bluetooth Mesh features.

To get started using the SDK, see @subpage md_doc_getting_started_mesh_quick_start.

You can then configure the required software toolchains and the process of building a mesh stack:
- @subpage md_doc_getting_started_how_to_toolchain
- @subpage md_doc_getting_started_how_to_build
- @subpage md_doc_getting_started_how_to_run_examples

@note
If you used one of the previous versions of the nRF SDK for Mesh, check the @subpage md_MIGRATION_GUIDE.

The following sections provide further information about how to set up and use various features of nRF5 SDK for Mesh:
- @subpage md_doc_getting_started_enabling_provisioning
- @subpage md_doc_getting_started_lpn_integration
- @subpage md_doc_getting_started_how_to_nordicSDK

Make sure to take a look at the @ref md_examples_light_switch_README. It shows how a simple
application can use the mesh stack and serves as an introduction to the Bluetooth Mesh concepts
and SDK features and APIs.